gnome-libs 1.42 + which db version ?

dagmar at speakeasy.net dagmar at speakeasy.net
Fri Oct 4 09:31:21 PDT 2002


On Fri, 4 Oct 2002, julius junghans wrote:

> ..in addition to the
> --prefix=/usr (I HOPE that's what you're using, otherwise you'll need to...
>
> berkley dbs default location is /usr/local...isnt that okay ?

I don't think I've ever used /usr/local for it before, but yeah, it should
search both /usr and /usr/local for them at the very least.

> --enable-shared --enable-compat185 --enable-cxx with this parameters
> berkley db compiles, a make install creates /usr/local/BerkeleyDB.3.1

You not using --prefix=/usr makes things unneccessarily complicated.  The
Book is pretty explicit about /usr versus /usr/local.  Go back and do it
as /usr like everyone says.  *sigh*

> i linked the files as followed
> db.h -> ../../local/BerkeleyDB.3.1/include/db.h
> lrwxrwxrwx    1 root     root           43 Oct  4 10:58 db_185.h -> ../../local/BerkeleyDB.3.1/include/db_185.h
> lrwxrwxrwx    1 root     root           43 Oct  4 10:58 db_cxx.h -> ../../local/BerkeleyDB.3.1/include/db_cxx.h
>
> is that okay ?

I've no idea because you only showed a relative link and I don't know
where it begins so I can't tell where it's pointing to.

> i removed the configure.cache from gnome.libs but they always say that
> my db library isnt db 1.85 compactibel... i tried configure without
> options and with --prefix=/usr/local but nothing helps

You need to follow what I said above about using --prefix=/usr

-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe lfs-support' in the subject header of the message



More information about the lfs-support mailing list